<?php
	ob_start('ob_gzhandler');
	require 'core/main.php'; 
	$main = new Main;
	$main->check_refresh();
?>
<!doctype html>
<html>
<head>
	<link rel="stylesheet" type="text/css" href="interface/style.css">
	<script type="text/javascript" src="interface/js/jquery-2.1.3.min.js"></script>
	<script type="text/javascript">var indexx = '<?php echo INDEX; ?>';</script>
	<script type="text/javascript" src="interface/js/stuff.js"></script>
	<title>Project.Extract</title>
</head>
<body>
	<ul class="navigation">
		<div class="info">
			<p>Project.Extract is a browser based cs2d log extractor created with PHP and an awesome desgin by the P.E Team.</p> 
		</div>
	    <li class="nav-item"><a href="<?php echo INDEX; ?>">Main <i class="fa fa-circle-thin"></i></a></li>
	    <li class="nav-item"><a href="<?php echo INDEX."?action=settings"; ?>">Settings <i class="fa fa-cog"></i></a></li>
	    <li class="nav-item"><a href="mailto:irfan.dahir1037@gmail.com">Contact <i class="fa fa-send"></i></a></li>
	    <li class="nav-item"><a href="http://www.unrealsoftware.de/files_show.php?file=16081">Stats.Extract <i class="fa fa-code"></i></a></li>
	</ul>
	<input type="checkbox" id="nav-trigger" class="nav-trigger" />
	<label for="nav-trigger"><i class="fa fa-navicon"></i></label>

	<div class="content-wrap">
		<?php $main->notification(); ?>
		<div class="grid group">
			<div class="col col-3-12 top-left grid-style-1">
			<?php if($main->conn->news_available){ 
				?>
				<div class="col col-12-12 header"><h4>News</h4></div>
				<div class="col-12-12 news-header"><h5><?php echo $main->conn->news["header"]; ?></h5></div>
				<div class="col col-11-12 news-body">
					<p><?php echo $main->conn->news["context"]; ?></p>
				</div>
				<div class="col col-6-12 news-footer"><?php echo $main->conn->news["author"]; ?></div>
			<?php }else{ ?>
				<div class="col-12-12 no-news">
					<div class="col col-12-12 header"><h4>No News</h4></div>
				</div>
			<?php }?>
			</div>
			<a href="<?php echo INDEX; ?>" class="col col-9-12 top-right grid-style-1">
				<h2>Project<span class="dot">.</span>Extract</h2><h6>v<span class="dot">.</span><?php echo VERSION_NAME; ?></h6>
			</a>
		</div>
		<?php 
			if(isset($_GET['action']) && $_GET['action'] == 'openconsole'){?>
		<div id="console-container" class="grid group">
		<?php	
				if(isset($_GET['type'])){
					if($_GET['type'] == TYPE_USER){
						$pe = new ProjectExtract;
						$util = new utils;
						$pe->scan_directory();
						$pe->extract(TYPE_USER);
						echo "<div class=\"col col-10-12 console\">";
						echo "<div class=\"line\"><span class=\"no\"></span><span class=\"text notif\">Scanned <b>", $pe->file_total, "</b> file(s) :: (", $util->smart_data_calc($pe->total_file_size), ")</span></div>";
						$total = count($pe->userinfo);
						if(!$total < 1){
							for($i=0;$i<=$total-1;++$i){
								echo "<div class=\"line\"><span class=\"no\">", ($i+1), "</span><span class=\"text\">", $pe->userinfo[$i], "</span></div>";
							}
						}else{
							echo "<div class=\"line\"><span class=\"no\"></span><span class=\"text notif\">No results found.</span></div>";
						}
						echo "</div>";
						$util->updateStat(TYPE_UI, 1);
						$ud = new userdatabase;
						$ud->ud_add($pe->userinfo);
						$main->cache->update('ud-filesize',filesize(UD_FILE_PATH));				
						?>
							<div class="col col-2-12 btn-container"><a href="javascript:location.reload()" class="col col-12-12 console-btn-2"><i class="fa fa-refresh"></i> Refresh</a><a id="close-console-container" href="javascript:void(0)" class="col col-12-12 console-btn-1"><i class="fa fa-close"></i> Close</a></div>
						<?php
					}elseif($_GET['type'] == TYPE_SEARCH){
						if(isset($_GET['step'])){
							if($_GET['step']==1){
								?>
								<div id="search-extract-step-1" class="col col-12-12 search-query grid-style-1" align="center">
									<form action="<?php INDEX."/?action=openconsole&type=searchextract&step=2"; ?>" method="GET">
										<div class="col col-12-12 form">
											<input type="text" name="query" maxlength="150" />
											<input type="hidden" name="action" value="openconsole" />
											<input type="hidden" name="type" value="searchextract" />
											<input type="hidden" name="step" value="2" />
											<input type="submit" value="Find!"/>
										</div>
									</form>
								</div>
								<?php
							}elseif($_GET['step']==2){
								if(isset($_GET['query'])){
									$query = $_GET['query'];
									$pe = new ProjectExtract;
									$util = new utils;
									$pe->scan_directory();
									$pe->extract(TYPE_SEARCH, $query);
									if(EXTRACTION_LOGGING){$pe->save($query,$pe->searchf,TYPE_SEARCH);}
									echo "<div class=\"col col-10-12 console\">";
									echo "<div class=\"line\"><span class=\"no\"></span><span class=\"text notif\">Scanned <b>".$pe->file_total."</b> file(s) :: (".$util->smart_data_calc($pe->total_file_size).")</span></div>";
									if(!count($pe->search) < 1){
										for($i=0;$i<=count($pe->search)-1;$i++){
											echo "<div class=\"line\"><span class=\"no\">".($i+1)."</span><span class=\"text\">".$pe->search[$i]."</span><span class=\"file\"><a href=\"".CS2D_LOG_PATH."/".$pe->fileinfo[$i]["file"]."\" target=\"_blank\">Open</a>::".$pe->fileinfo[$i]["line"]."</span></div>";
											flush();
										}
									}else{
										echo "<div class=\"line\"><span class=\"no\"></span><span class=\"text notif\">No results found.</span></div>";
									}
									echo "</div>";
									$util->updateStat(TYPE_QS, 1);
									?>
										<div class="col col-2-12 btn-container"><a href="<?php echo SEARCH_LOG_PATH; ?>" target="_blank" class="col col-12-12 console-btn-2"><i class="fa fa-download"></i> Download</a><a href="<?php echo INDEX."/?action=openconsole&type=searchextract&step=1"; ?>" class="col col-12-12 console-btn-1"><i class="fa fa-search"></i> Search Again</a><a href="javascript:location.reload()" class="col col-12-12 console-btn-2"><i class="fa fa-refresh"></i> Refresh</a><a id="close-console-container" href="javascript:void(0)" class="col col-12-12 console-btn-1"><i class="fa fa-close"></i> Close</a></div>
									<?php
								}
							}else{ header("location: ".INDEX); }
						}else{ header("location: ".INDEX); }
					}elseif($_GET['type'] == TYPE_SERVER){
						if(isset($_GET['step'])){
							if($_GET['step'] == 1){
								//options
								?>
								<div id="server-extract-step-1" class="col col-12-12 pre-server-extract">
									<h4>Tick the extracts you want</h4><h6>(Recommended you don't tick more than few per extract if you have many log files)</h6>
									<form action="<?php echo INDEX; ?>" method="GET">
										<div class="col col-4-12 left">
											<span><input type="checkbox" id="c1" name="join" /><label for="c1"><span></span>Join</label></span>
											<span><input type="checkbox" id="c2" name="sud-parse" disabled/><label for="c2"><span></span>SUD Parse</label></span>
											<span><input type="checkbox" id="c3" name="lua-errors" /><label for="c3"><span></span>LUA Errors</label></span>
											<span><input type="checkbox" id="c4" name="errors" /><label for="c4"><span></span>Errors</label></span>
										</div>
										<div class="col col-8-12 right">
											<span><input type="checkbox" id="c5" name="net-errors" /><label for="c5"><span></span>NET Errors</label></span>
											<input type="hidden" name="action" value="openconsole" />
											<input type="hidden" name="type" value="serverextract" />
											<input type="hidden" name="step" value="2" />
											<span><input type="submit" value="Search"/></span>
										</div>
									</form>
									<script>
										$('input[type=checkbox]').change(function () {
										    var letters = $("#c1"),
										        numbers = $("#c2");

										    if (!letters.is(':checked')) { // if letters isn't checked
										        numbers.prop("disabled", true); // disable numbers
										        numbers.checked = false; // keep numbers checked
										    }else if(letters.is(':checked')){
										        numbers.prop("disabled", false);
										        numbers.checked = false;
										    }
										});
									</script>
								</div>
								<?php
							}elseif($_GET['step'] == 2){
								$opts = array();
								if(isset($_GET['join'])){$opts[]='join';}
								if(isset($_GET['sud-parse'])){$opts[]='sud-parse';}
								if(isset($_GET['lua-errors'])){$opts[]='lua-errors';}
								if(isset($_GET['errors'])){$opts[]='errors';}
								if(isset($_GET['net-errors'])){$opts[]='net-errors';}
								if(isset($_GET['count-stats'])){$opts[]='count-stats';}
								if(!empty($opts)){
									$pe = new ProjectExtract;
									$util = new utils;
									$pe->scan_directory();
									$pe->extract(TYPE_SERVER, null, false, $opts);
									echo "<div class=\"col col-10-12 console\">";
									echo "<div class=\"line\"><span class=\"no\"></span><span class=\"text notif\">Scanned <b>".$pe->file_total."</b> file(s) :: (".$util->smart_data_calc($pe->total_file_size).")</span></div>";
									if(isset($_GET['join'])){if(!count($pe->server['join']) < 1){
									echo "<div class=\"line\"><span class=\"no\"></span><span class=\"text notif\">Joins</span></div>";
										if(isset($_GET['sud-parse'])){
											$ud = new userdatabase;
											$ud->sud_add($pe->server['join']);
											$main->cache->update('sud-filesize',filesize(SUD_FILE_PATH));	
										}
										$count = count($pe->server['join'])-1;
										for($i=0;$i<=$count;$i++){
											echo "<div class=\"line\"><span class=\"no\">".($i+1)."</span><span class=\"text\">".$pe->server['join'][$i]."</span><span class=\"file\"><a href=\"".CS2D_LOG_PATH."/".$pe->fileinfo[$i]["file"]."\" target=\"_blank\">Open</a>::".$pe->fileinfo[$i]["line"]."</span></div>";
											flush();
										}
									}else{
										echo "<div class=\"line\"><span class=\"no\"></span><span class=\"text notif\">No Join results found.</span></div>";
									}}
									if(isset($_GET['lua-errors'])){if(!count($pe->server['lua-error']) < 1){
									echo "<div class=\"line\"><span class=\"no\"></span><span class=\"text notif\">Lua Errors</span></div>";
										$count = count($pe->server['lua-error'])-1;
										for($i=0;$i<=$count;$i++){
											echo "<div class=\"line\"><span class=\"no\">".($i+1)."</span><span class=\"text\">".$pe->server['lua-error'][$i]."</span><span class=\"file\"><a href=\"".CS2D_LOG_PATH."/".$pe->fileinfo[$i]["file"]."\" target=\"_blank\">Open</a>::".$pe->fileinfo[$i]["line"]."</span></div>";
											flush();
										}
									}else{
										echo "<div class=\"line\"><span class=\"no\"></span><span class=\"text notif\">No Lua errors found.</span></div>";
									}}
									if(isset($_GET['errors'])){if(!count($pe->server['errors']) < 1){
									echo "<div class=\"line\"><span class=\"no\"></span><span class=\"text notif\">Errors</span></div>";
										$count = count($pe->server['errors'])-1;
										for($i=0;$i<=$count;$i++){
											echo "<div class=\"line\"><span class=\"no\">".($i+1)."</span><span class=\"text\">".$pe->server['errors'][$i]."</span><span class=\"file\"><a href=\"".CS2D_LOG_PATH."/".$pe->fileinfo[$i]["file"]."\" target=\"_blank\">Open</a>::".$pe->fileinfo[$i]["line"]."</span></div>";
											flush();
										}
									}else{
										echo "<div class=\"line\"><span class=\"no\"></span><span class=\"text notif\">No Errors found.</span></div>";
									}}
									if(isset($_GET['net-errors'])){if(!count($pe->server['net-errors']) < 1){
									echo "<div class=\"line\"><span class=\"no\"></span><span class=\"text notif\">Net Errors</span></div>";
										$count = count($pe->server['net-errors'])-1;
										for($i=0;$i<=$count;$i++){
											echo "<div class=\"line\"><span class=\"no\">".($i+1)."</span><span class=\"text\">".$pe->server['net-errors'][$i]."</span><span class=\"file\"><a href=\"".CS2D_LOG_PATH."/".$pe->fileinfo[$i]["file"]."\" target=\"_blank\">Open</a>::".$pe->fileinfo[$i]["line"]."</span></div>";
											flush();
										}
									}else{
										echo "<div class=\"line\"><span class=\"no\"></span><span class=\"text notif\">No Net Errors found.</span></div>";
									}}
									echo "</div>";
									$util->updateStat(TYPE_S, 1);
									?>
										<div class="col col-2-12 btn-container"><a href="<?php echo INDEX."/?action=openconsole&type=serverextract&step=1"; ?>" class="col col-12-12 console-btn-1"><i class="fa fa-search"></i> Back</a><a href="javascript:location.reload()" class="col col-12-12 console-btn-2"><i class="fa fa-refresh"></i> Refresh</a><a id="close-console-container" href="javascript:void(0)" class="col col-12-12 console-btn-1"><i class="fa fa-close"></i> Close</a></div>
									<?php
								}
							}
						}
					}
				}
		?>
		</div>
		<?php } ?>
		<div class="grid group">
			<div class="col col-3-12"><a href="<?php echo INDEX."/?action=openconsole&type=userextract"; ?>" class="col col-12-12 fours"><i class="fa fa-users"></i></a><div class="col col-12-12 fours-desc"><h5>User Info</h5><p>Extract user information such as Name, USGN & IP</p></div></div>
			<div class="col col-3-12"><a href="<?php echo INDEX."/?action=openconsole&type=searchextract&step=1#search-extract-step-1"; ?>" class="col col-12-12 fours"><i class="fa fa-search"></i></a><div class="col col-12-12 fours-desc"><h5>Search</h5><p>Extract stuff you want to find</p></div></div>
			<div class="col col-3-12"><a href="<?php echo INDEX."/?action=openconsole&type=serverextract&step=1#server-extract-step-1"; ?>" class="col col-12-12 fours"><i class="fa fa-server"></i></a><div class="col col-12-12 fours-desc"><h5>Server</h5><p>Extract User & Debugging data from server logs</p></div></div>
			<div class="col col-3-12 links2">
				<div class="col col-12-12">
					<a href="<?php echo UD_FILE_PATH; ?>" target="_blank" title="User Database" class="col col-6-12 link-1"><i class="fa fa-user-secret"></i></a>
					<a href="http://www.unrealsoftware.de/forum_posts.php?post=379819&start=0#post379819" title="Upvote!" class="col col-6-12 link-2" target="_blank"><i class="fa fa-arrow-circle-o-up"></i></a>
				</div>
				<div class="col col-12-12">
					<a href="<?php echo INDEX.'?action=settings'; ?>" title="Settings" class="col col-6-12 link-2"><i class="fa fa-cog"></i></a>
					<a href="http://www.unrealsoftware.de/files_show.php?file=16081" target="_blank" title="Check out Stats.Extract!" class="col col-6-12 link-3">S.E</a>
				</div>
			</div>
		</div>
		<div class="grid group">
			<div class="col col-6-12 stats">
				<h4><i class="fa fa-file"></i> Extracts</h4>
					<div class="grid group">
						<div class="col col-6-12 left-cont">
							<label>User Info</label>
							<label>Searches</label>
							<label>Server</label>
						</div>
						<div class="col col-6-12 right-cont">
							<span><?php echo $stats->config['user-info-extracts']; ?></span>
							<span><?php echo $stats->config['search-extracts']; ?></span>
							<span><?php echo $stats->config['server-extracts']; ?></span>
						</div>
				</div>
			</div>
			<div class="col col-6-12 user-database-info">
				<h4>User Database</h4>
				<h2><?php echo $stats->config['ud-registers']; ?></h2>
				<h4>Server User Database</h4>
				<h2><?php echo $stats->config['sud-registers']; ?></h2>
			</div>
		</div>
		<?php
		if(isset($_GET['action'])){
			if($_GET['action'] == 'settings'){
				?>
					<div class="grid group">
						<div class="col col-12-12 settings-container">
							<h4><i class="fa fa-cog"></i> Settings</h4>
							<form action="<?php echo INDEX; ?>" method="GET">
								<div class="col col-5-12 left">
									<span><input type="checkbox" id="c1" name="ext-logging" <?php if($setting->config['extraction-logging']){ echo "checked";} ?>><label for="c1"><span></span>Extraction Logging</label></span>
									<span><input type="checkbox" id="c2" name="ext-logging-overwrite" <?php if($setting->config['overwrite-extraction-logging']){ echo "checked";} ?>><label for="c2"><span></span>Extraction Logging Overwrite</label></span>
									<span><input type="checkbox" id="c3" name="error-log"<?php if($cfg->config['error-log']){ echo "checked";} ?>><label for="c3"><span></span>Error Log</label></span>
									<span><input type="checkbox" id="c4" name="debug-log"<?php if($cfg->config['debug-log']){ echo "checked";} ?>><label for="c4"><span></span>Debug Log</label></span>
									<span><input type="checkbox" id="c5" name="refresh-cache"><label for="c5"><span></span>Refresh Cache</label></span>
								</div>
								<div class="col col-5-12 right">
									<span><input type="checkbox" id="c6" name="refresh-stats"><label for="c6"><span></span>Refresh Statistics</label></span>
									<span><input type="checkbox" id="c7" name="clear-ud"><label for="c7"><span></span>Clear UD</label></span>
									<span><input type="checkbox" id="c8" name="clear-sud"><label for="c8"><span></span>Clear SUD</label></span>
								</div>
								<input type="hidden" name="action" value="settings-parse" />
								<input type="hidden" name="save" />
								<div align="center"><span><input type="submit" class="submit" value="Parse"/></span></div>
							</form>
						</div>
					</div>
				<?php
			}elseif($_GET['action'] == 'settings-parse'){
				if(isset($_GET['save'])){
				?>
					<div class="grid-group">
						<div class="col col-12-12 settings-container">
							<h4><i class="fa fa-cog"></i> Settings</h4>
							<?php
							$_settings = false;
							$_config = false;
							if(isset($_GET['ext-logging'])){
								if($_GET['ext-logging'] == 'on'){
									$_settings = true;
									$setting->config['extraction-logging'] = true;
								}
							}else{
								$_settings = true;
								$setting->config['extraction-logging'] = false;
							}
							if(isset($_GET['ext-logging-overwrite'])){
								if($_GET['ext-logging-overwrite'] == 'on'){
									$_settings = true;
									$setting->config['overwrite-extraction-logging'] = true;
								}
							}else{
								$_settings = true;
								$setting->config['overwrite-extraction-logging'] = false;
							}
							if(isset($_GET['error-log'])){
								if($_GET['error-log'] == 'on'){
									$config = true;
									$cfg->config['error-log'] = true;
								}
							}else{
								$_config = true;
								$cfg->config['error-log'] = false;
							}
							if(isset($_GET['debug-log'])){
								if($_GET['debug-log'] == 'on'){
									$_config = true;
									$cfg->config['debug-log'] = true;
								}
							}else{
								$_config = true;
								$cfg->config['debug-log'] = false;
							}
							if($_settings){
								$setting->pack(SETTING_FILE_PATH,$setting->config);
								echo "<li>Saved new settings</li>";
							}
							if($_config){
								$cfg->pack(CONFIG_FILE_PATH,$cfg->config);
								echo "<li>Saved new configuration</li>";
							}
							if(isset($_GET['refresh-stats'])){
								if($_GET['refresh-stats'] == 'on'){
									$util = new utils;
									$util->resetStats();
									echo "<li>Refreshed Stats</li>";									
								}
							}
							if(isset($_GET['clear-ud'])){
								if($_GET['clear-ud'] == 'on'){
									$f = fopen(UD_FILE_PATH,"w");
									fwrite($f, "");
									fclose($f);
									echo "<li>Reset UD</li>";								
								}
							}
							if(isset($_GET['clear-sud'])){
								if($_GET['clear-sud'] == 'on'){
									$f = fopen(SUD_FILE_PATH,"w");
									fwrite($f, "");
									fclose($f);
									echo "<li>Reset SUD</li>";
								}
							}
							if(isset($_GET['clear-pe-logs'])){
								if($_GET['clear-pe-logs'] == 'on'){									
									echo "<li>Cleared P.E Logs</li>";
								}
							}
							if(isset($_GET['refresh-cache'])){
								if($_GET['refresh-cache'] == 'on'){
									$main->cache->override_deadline();
									echo "<li>Refreshed Cache</li>";
								}
							}
							if(isset($_GET['clear-cs2d-logs'])){
								if($_GET['clear-cs2d-logs'] == 'on'){									
									echo "<li>Are you sure you want to delete the logs in cs2d?</li>";
									echo "<div class='btn-pad'><a href='.INDEX.'?action=clear-cs2d-logs' class='btn btn-no'><i class='fa fa-remove'></i> No</a><a href='.INDEX.'?action=clear-cs2d-logs' class='btn btn-yes'><i class='fa fa-check'></i> Yes</a></div>";
								}
							}
							?>
						</div>
					</div>
				<?php
				}
			}elseif($_GET['action'] == 'deletecs2dlogs'){
				//delete cs2d logs
				header('location: '.INDEX);
			}
		}
		?>
		<div class="grid group">
			<div class="col col-12-12 credits">
				<h4>Shoutouts</h4>
				<p><a href="http://www.unrealsoftware.de/profile.php?userid=16693" target="_blank">Soushiant</a> - Testing & <i class="fa fa-lightbulb-o"></i></p>
				<p><a href="http://www.unrealsoftware.de/profile.php?userid=116310" target="_blank">Nighthawk</a> - Front and back end</p>
				<p><a href="http://www.unrealsoftware.de/profile.php?userid=69930" target="_blank">Lubo</a> - Awesomeness</p>
				<p><a href="http://www.unrealsoftware.de/profile.php?userid=53360" target="_blank">MikuAuahDark</a> - Testing & IIS Installation Guide</p>
				<p><a href="http://www.wampserver.com/en/">WAMP</a></p>
				<p><a href="http://http://fontawesome.io/">Font Awesome</a></p>
				<br/>
				<p><a href="http://www.unrealsoftware.de/profile.php?userid=self">You</a> - For downloading this!</p>
			</div>
		<div class="grid group">
			<div class="col col-12-12 grid-style-1 footer"><span class="minimal"><a href="<?php echo INDEX."/minimal.php"; ?>" title="Switch to Minimal" class="tooltip"><i class="fa fa-arrow-circle-o-left"></i></a></span><span class="check-update"><a target="_blank" href="<?php if($main->update_available){echo $main->conn->update["link"];}else{echo "javascript:void()"; }?>" title="<?php if($main->server_connected){if($main->update_available){echo "A New Version is Available!";}else{echo "Upto Date";}}else{echo "Not Connected to Server";}?>" class="tooltip"><i class="fa fa-cloud-download"></i></a></span><span class="settings"><a href="<?php echo INDEX."/?action=settings"; ?>" title="Change Settings" class="tooltip"><i class="fa fa-cog"></i></a></span><span class="refresh"><a href="<?php echo INDEX."/?action=refreshcache"; ?>" title="Refresh Cache" class="tooltip"><i class="fa fa-refresh"></i></a></span>&copy; Copyright Project.Extract <span style="color:rgba(41,48,76,0.9);"><?php echo "v.".VERSION; ?></span> - Project.Extract Team 2014 - <span style="color:rgba(41,48,76,0.9);">2015</span></div>
		</div>
	</div>

</body>
</html>
<?php ob_end_flush(); ?>