<?php
	ob_start('ob_gzhandler');
	require 'core/main.php'; 
	$main = new Main;
?>
<!doctype html>
<html>
<head>
	<link rel="stylesheet" type="text/css" href="interface/style-minimal.css">
	<link rel="stylesheet" type="text/css" href="interface/font-awesome.css">
	<script type="text/javascript">
		var indexx = '<?php echo INDEX; ?>';
	</script>
	<title>Project.Extract</title>
</head>
<body>
	<div class="grid">
		<div align="center">
		<div class="col col-12-12 main-container" align="center">
			<div class="col col-12-12 head-container">
				<div class="col col-8-12 head-text">Project.Extract <?php echo "v.".$cfg->config['version']; ?></div>
			</div>
			<div class="col col-12-12 nav">
				<ul>
					<a href="<?php echo INDEX."/minimal.php"; ?>">Index</a>
					<a href="<?php echo UD_FILE_PATH; ?>">User Database</a>
					<a href="http://www.unrealsoftware.de/files_show.php?file=16081">Stats.Extract</a>
					<a href="mailto:irfan.dahir1037@gmail.com">Contact</a>
					<a href="<?php echo INDEX."/minimal.php?action=openconsole&type=userextract"; ?>">User Info</a>
					<a href="<?php echo INDEX."/minimal.php?action=openconsole&type=searchextract&step=1"; ?>">Search</a>
				</ul>
			</div>
			<div class="col col-12-12 extract-container">
				<?php 
					if(isset($_GET['action']) && $_GET['action'] == 'openconsole'){?>
				<div id="console-container" class="grid group">
				<?php	
						if(isset($_GET['type'])){
							if($_GET['type'] == TYPE_USER){
								$pe = new ProjectExtract;
								$util = new utils;
								$pe->scan_directory();
								$pe->extract(TYPE_USER);
								echo "<div class=\"col col-10-12 console\">";
								echo "<div class=\"line\"><span class=\"no\"></span><span class=\"text notif\">Scanned <b>".$pe->file_total."</b> file(s) :: (".$util->smart_data_calc($pe->total_file_size).")</span></div>";
								if(!count($pe->userinfo) < 1){
									for($i=0;$i<=count($pe->userinfo)-1;$i++){
										echo "<div class=\"line\"><span class=\"no\">".($i+1)."</span><span class=\"text\">".$pe->userinfo[$i]."</span></div>";
										flush();
									}
								}else{
									echo "<div class=\"line\"><span class=\"no\"></span><span class=\"text notif\">No results found.</span></div>";
								}
								echo "</div>";
								$util->updateStat(TYPE_UI, 1);
								$ud = new userdatabase;
								$ud->ud_add($pe->userinfo);						
								?>
									<div class="col col-2-12 btn-container"><a href="javascript:location.reload()" class="col col-12-12 console-btn-2">Refresh</a><a id="close-console-container" href="javascript:void(0)" class="col col-12-12 console-btn-1">Close</a></div>
								<?php
							}elseif($_GET['type'] == TYPE_SEARCH){
								if(isset($_GET['step'])){
									if($_GET['step']==1){
										?>
										<div class="col col-12-12 search-query grid-style-1" align="center">
											<form action="<?php INDEX."/?action=openconsole&type=searchextract&step=2"; ?>" method="GET">
												<div class="col col-12-12 form">
													<input type="text" name="query" maxlength="150" />
													<input type="hidden" name="action" value="openconsole" />
													<input type="hidden" name="type" value="searchextract" />
													<input type="hidden" name="step" value="2" />
													<input type="submit" value="Find!"/>
												</div>
											</form>
										</div>
										<?php
									}elseif($_GET['step']==2){
										if(isset($_GET['query'])){
											$query = $_GET['query'];
											$pe = new ProjectExtract;
											$util = new utils;
											$pe->scan_directory();
											$pe->extract(TYPE_SEARCH, $query);
											if(EXTRACTION_LOGGING){$pe->save($query,$pe->searchf,TYPE_SEARCH);}
											echo "<div class=\"col col-10-12 console\">";
											echo "<div class=\"line\"><span class=\"no\"></span><span class=\"text notif\">Scanned <b>".$pe->file_total."</b> file(s) :: (".$util->smart_data_calc($pe->total_file_size).")</span></div>";
											if(!count($pe->search) < 1){
												for($i=0;$i<=count($pe->search)-1;$i++){
													echo "<div class=\"line\"><span class=\"no\">".($i+1)."</span><span class=\"text\">".$pe->search[$i]."</span><span class=\"file\"><a href=\"".CS2D_LOG_PATH."/".$pe->fileinfo[$i]["file"]."\" target=\"_blank\">Open</a>::".$pe->fileinfo[$i]["line"]."</span></div>";
													flush();
												}
											}else{
												echo "<div class=\"line\"><span class=\"no\"></span><span class=\"text notif\">No results found.</span></div>";
											}
											echo "</div>";
											$util->updateStat(TYPE_QS, 1);
											?>
												<div class="col col-2-12 btn-container"><a href="<?php echo SEARCH_LOG_PATH; ?>" target="_blank" class="col col-12-12 console-btn-2">Download</a><a href="<?php echo INDEX."/?action=openconsole&type=searchextract&step=1"; ?>" class="col col-12-12 console-btn-1">Search Again</a><a href="javascript:location.reload()" class="col col-12-12 console-btn-2">Refresh</a><a id="close-console-container" href="javascript:void(0)" class="col col-12-12 console-btn-1">Close</a></div>
											<?php
										}
									}
								}
							}
						}
				?>
				</div>
				<?php } ?>
			</div>
			<div class="col col-12-12 footer">
				<div class="col col-4-12 stats">
					<li>User Database: <span><?php echo $stats->config['ud-registers']; ?></span></li>
					<li>User Info: <span><?php echo $stats->config['user-info-extracts']; ?></span></li>
					<li>Searches: <span><?php echo $stats->config['search-extracts']; ?></span></li>
					<li>Console: <span><?php echo $stats->config['console-extracts']; ?></span></li>
					<li>Server: <span><?php echo $stats->config['server-extracts']; ?></span></li>
				</div>
				<div class="col col-8-12">
					<div class="col col-12-12 credits">
						<li><a href="#">Soushiant</a> Testing & Idea</li>
						<li><a href="#">Nighthawk</a> Design & Backhand</li>
						<li><a href="#">Lubo</a> Awesomeness</li>
						<li><a href="#">MikuAuahDark</a> Testing & Installation Guide</li>
						<li><a href="#">Wamp</a></li>
						<li><a href="#">Fontawesome</a></li>
						<li><a href="#">You</a> for downloading this</li>
					</div>
				</div>
				<div class="col col-12-12 copyright">Switch back to <a href="<?php echo INDEX; ?>">Original</a>
			</div>
		</div>
		</div>
	</div>
</body>
</html>
<?php ob_end_flush(); ?>